---
title: "Get entity execution baseline"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{entityId}/execution/baseline`

## Path parameters

- `entityId` (`execution-get-entity-execution-baseline.path.entityId`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<entityId>/execution/baseline'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<entityId>/execution/baseline';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<entityId>/execution/baseline"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "baseline": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "listingId": "8c73d933-f7ed-437e-9da1-caac95adc1ae",
      "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
      "versionNumber": 0,
      "correctsBaselineId": "9f254796-84ad-46df-895b-24348c189401",
      "correctionReason": "string",
      "status": "draft",
      "primaryConstraint": "string",
      "majorAssumptions": [
        "string"
      ],
      "strategicContextUpdatedBy": "string",
      "summary": "string",
      "summarySourceHash": "string",
      "summaryGeneratedBy": "string",
      "summaryGeneratedAt": "2019-08-24T14:15:22Z",
      "summaryConfirmedBy": "string",
      "summaryConfirmedAt": "2019-08-24T14:15:22Z",
      "snapshot": {
        "schemaVersion": 1,
        "listingId": "8c73d933-f7ed-437e-9da1-caac95adc1ae",
        "baselineId": "021a9d20-deb5-4bc7-8aee-9e5074855731",
        "versionNumber": 0,
        "correctsBaselineId": "9f254796-84ad-46df-895b-24348c189401",
        "correctionReason": "string",
        "primaryConstraint": "string",
        "majorAssumptions": [
          "string"
        ],
        "strategicContextUpdatedBy": "string",
        "summary": "string",
        "summarySourceHash": "string",
        "summaryGeneratedBy": "string",
        "summaryGeneratedAt": "2019-08-24T14:15:22Z",
        "summaryConfirmedBy": "string",
        "summaryConfirmedAt": "2019-08-24T14:15:22Z",
        "fields": [
          {
            "fieldKey": "string",
            "label": "string",
            "value": "string",
            "unit": "string",
            "effectiveDate": "2019-08-24",
            "evidenceReference": "string",
            "evidenceGrade": "A",
            "createdBy": "string",
            "updatedBy": "string",
            "createdAt": "2019-08-24T14:15:22Z",
            "updatedAt": "2019-08-24T14:15:22Z"
          }
        ],
        "createdBy": "string",
        "createdAt": "2019-08-24T14:15:22Z"
      },
      "snapshotHash": "string",
      "lockedBy": "string",
      "lockedAt": "2019-08-24T14:15:22Z",
      "fields": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "baselineId": "021a9d20-deb5-4bc7-8aee-9e5074855731",
          "fieldKey": "string",
          "label": "string",
          "value": "string",
          "unit": "string",
          "effectiveDate": "2019-08-24",
          "evidenceReference": "string",
          "evidenceGrade": "A",
          "createdBy": "string",
          "updatedBy": "string",
          "createdAt": "2019-08-24T14:15:22Z",
          "updatedAt": "2019-08-24T14:15:22Z"
        }
      ],
      "createdBy": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    },
    "creation": {
      "allowed": true,
      "unavailableReason": "baseline_exists",
      "firstSeason": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "label": "string",
        "status": "planning",
        "startDate": "2019-08-24T14:15:22Z"
      }
    },
    "fieldEditing": {
      "allowed": true,
      "unavailableReason": "baseline_missing"
    },
    "locking": {
      "allowed": true,
      "unavailableReason": "baseline_missing"
    },
    "correction": {
      "allowed": true,
      "unavailableReason": "baseline_missing"
    },
    "summary": {
      "generation": {
        "allowed": true,
        "unavailableReason": "baseline_missing"
      },
      "confirmation": {
        "allowed": true,
        "unavailableReason": "baseline_missing"
      }
    }
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`execution-get-entity-execution-baseline.response.200.data`; object, required)
  - `baseline` (`execution-get-entity-execution-baseline.response.200.data.baseline`; object, required, nullable)
    - `id` (`execution-get-entity-execution-baseline.response.200.data.baseline.id`; string, required)
      - format `uuid`
    - `listingId` (`execution-get-entity-execution-baseline.response.200.data.baseline.listingId`; string, required, nullable)
      - format `uuid`
    - `entityId` (`execution-get-entity-execution-baseline.response.200.data.baseline.entityId`; string, required)
      - format `uuid`
    - `versionNumber` (`execution-get-entity-execution-baseline.response.200.data.baseline.versionNumber`; integer, required)
      - min 0
    - `correctsBaselineId` (`execution-get-entity-execution-baseline.response.200.data.baseline.correctsBaselineId`; string, required, nullable)
      - format `uuid`
    - `correctionReason` (`execution-get-entity-execution-baseline.response.200.data.baseline.correctionReason`; string, required, nullable)
      - minLength 3; maxLength 1000
    - `status` (`execution-get-entity-execution-baseline.response.200.data.baseline.status`; string, required)
      - one of `"draft"`, `"locked"`, `"superseded"`
    - `primaryConstraint` (`execution-get-entity-execution-baseline.response.200.data.baseline.primaryConstraint`; string, required, nullable)
      - minLength 1; maxLength 4000
    - `majorAssumptions` (`execution-get-entity-execution-baseline.response.200.data.baseline.majorAssumptions`; array<string>, required)
      - minLength 1; maxLength 4000
    - `strategicContextUpdatedBy` (`execution-get-entity-execution-baseline.response.200.data.baseline.strategicContextUpdatedBy`; string, required, nullable)
      - minLength 1
    - `summary` (`execution-get-entity-execution-baseline.response.200.data.baseline.summary`; string, required, nullable)
      - minLength 1; maxLength 20000
    - `summarySourceHash` (`execution-get-entity-execution-baseline.response.200.data.baseline.summarySourceHash`; string, required, nullable)
      - pattern `^sha256:[0-9a-f]{64}$`
    - `summaryGeneratedBy` (`execution-get-entity-execution-baseline.response.200.data.baseline.summaryGeneratedBy`; string, required, nullable)
      - minLength 1
    - `summaryGeneratedAt` (`execution-get-entity-execution-baseline.response.200.data.baseline.summaryGeneratedAt`; string, required, nullable)
      - format `date-time`
    - `summaryConfirmedBy` (`execution-get-entity-execution-baseline.response.200.data.baseline.summaryConfirmedBy`; string, required, nullable)
      - minLength 1
    - `summaryConfirmedAt` (`execution-get-entity-execution-baseline.response.200.data.baseline.summaryConfirmedAt`; string, required, nullable)
      - format `date-time`
    - `snapshot` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot`; any of, required, nullable)
      - any of:
        - `object`
          - `schemaVersion` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.schemaVersion`; number, required)
            - one of `1`
          - `listingId` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.listingId`; string, required)
            - format `uuid`
          - `baselineId` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.baselineId`; string, required)
            - format `uuid`
          - `versionNumber` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.versionNumber`; integer, required)
            - min 0
          - `primaryConstraint` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.primaryConstraint`; string, required)
            - minLength 1; maxLength 4000
          - `majorAssumptions` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.majorAssumptions`; array<string>, required)
            - minLength 1; maxLength 4000
          - `strategicContextUpdatedBy` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.strategicContextUpdatedBy`; string, required)
            - minLength 1
          - `summary` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.summary`; string, required)
            - minLength 1; maxLength 20000
          - `summarySourceHash` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.summarySourceHash`; string, required)
            - pattern `^sha256:[0-9a-f]{64}$`
          - `summaryGeneratedBy` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.summaryGeneratedBy`; string, required)
            - minLength 1
          - `summaryGeneratedAt` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.summaryGeneratedAt`; string, required)
            - format `date-time`
          - `summaryConfirmedBy` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.summaryConfirmedBy`; string, required)
            - minLength 1
          - `summaryConfirmedAt` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.summaryConfirmedAt`; string, required)
            - format `date-time`
          - `fields` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.fields`; array<object>, required)
            - `fieldKey` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.fields.fieldKey`; string, required)
              - pattern `^[a-z][a-z0-9_]{0,63}$`
            - `label` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.fields.label`; string, required)
              - minLength 1; maxLength 120
            - `value` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.fields.value`; any of, required)
              - any of: `string`, `number`, `boolean`
            - `unit` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.fields.unit`; string, required, nullable)
              - minLength 1; maxLength 64
            - `effectiveDate` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.fields.effectiveDate`; string, required)
              - format `date`
            - `evidenceReference` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.fields.evidenceReference`; string, required, nullable)
              - minLength 1; maxLength 2048
            - `evidenceGrade` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.fields.evidenceGrade`; string, required)
              - one of `"A"`, `"B"`, `"C"`, `"D"`, `"N"`
            - `createdBy` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.fields.createdBy`; string, required)
              - minLength 1
            - `updatedBy` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.fields.updatedBy`; string, required)
              - minLength 1
            - `createdAt` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.fields.createdAt`; string, required)
              - format `date-time`
            - `updatedAt` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.fields.updatedAt`; string, required)
              - format `date-time`
          - `createdBy` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.createdBy`; string, required)
            - minLength 1
          - `createdAt` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.createdAt`; string, required)
            - format `date-time`
          - `correctsBaselineId` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.correctsBaselineId`; string, optional, nullable)
            - format `uuid`
          - `correctionReason` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.1.correctionReason`; string, optional, nullable)
            - minLength 3; maxLength 1000
        - `object`
          - `schemaVersion` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.schemaVersion`; number, required)
            - one of `2`
          - `entityId` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.entityId`; string, required)
            - format `uuid`
          - `listingId` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.listingId`; string, required, nullable)
            - format `uuid`
          - `baselineId` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.baselineId`; string, required)
            - format `uuid`
          - `versionNumber` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.versionNumber`; integer, required)
            - min 0
          - `primaryConstraint` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.primaryConstraint`; string, required)
            - minLength 1; maxLength 4000
          - `majorAssumptions` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.majorAssumptions`; array<string>, required)
            - minLength 1; maxLength 4000
          - `strategicContextUpdatedBy` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.strategicContextUpdatedBy`; string, required)
            - minLength 1
          - `summary` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.summary`; string, required)
            - minLength 1; maxLength 20000
          - `summarySourceHash` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.summarySourceHash`; string, required)
            - pattern `^sha256:[0-9a-f]{64}$`
          - `summaryGeneratedBy` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.summaryGeneratedBy`; string, required)
            - minLength 1
          - `summaryGeneratedAt` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.summaryGeneratedAt`; string, required)
            - format `date-time`
          - `summaryConfirmedBy` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.summaryConfirmedBy`; string, required)
            - minLength 1
          - `summaryConfirmedAt` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.summaryConfirmedAt`; string, required)
            - format `date-time`
          - `fields` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.fields`; array<object>, required)
            - `fieldKey` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.fields.fieldKey`; string, required)
              - pattern `^[a-z][a-z0-9_]{0,63}$`
            - `label` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.fields.label`; string, required)
              - minLength 1; maxLength 120
            - `value` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.fields.value`; any of, required)
              - any of: `string`, `number`, `boolean`
            - `unit` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.fields.unit`; string, required, nullable)
              - minLength 1; maxLength 64
            - `effectiveDate` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.fields.effectiveDate`; string, required)
              - format `date`
            - `evidenceReference` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.fields.evidenceReference`; string, required, nullable)
              - minLength 1; maxLength 2048
            - `evidenceGrade` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.fields.evidenceGrade`; string, required)
              - one of `"A"`, `"B"`, `"C"`, `"D"`, `"N"`
            - `createdBy` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.fields.createdBy`; string, required)
              - minLength 1
            - `updatedBy` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.fields.updatedBy`; string, required)
              - minLength 1
            - `createdAt` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.fields.createdAt`; string, required)
              - format `date-time`
            - `updatedAt` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.fields.updatedAt`; string, required)
              - format `date-time`
          - `createdBy` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.createdBy`; string, required)
            - minLength 1
          - `createdAt` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.createdAt`; string, required)
            - format `date-time`
          - `correctsBaselineId` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.correctsBaselineId`; string, optional, nullable)
            - format `uuid`
          - `correctionReason` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshot.2.correctionReason`; string, optional, nullable)
            - minLength 3; maxLength 1000
    - `snapshotHash` (`execution-get-entity-execution-baseline.response.200.data.baseline.snapshotHash`; string, required, nullable)
      - pattern `^sha256:[0-9a-f]{64}$`
    - `lockedBy` (`execution-get-entity-execution-baseline.response.200.data.baseline.lockedBy`; string, required, nullable)
      - minLength 1
    - `lockedAt` (`execution-get-entity-execution-baseline.response.200.data.baseline.lockedAt`; string, required, nullable)
      - format `date-time`
    - `fields` (`execution-get-entity-execution-baseline.response.200.data.baseline.fields`; array<object>, required)
      - `id` (`execution-get-entity-execution-baseline.response.200.data.baseline.fields.id`; string, required)
        - format `uuid`
      - `baselineId` (`execution-get-entity-execution-baseline.response.200.data.baseline.fields.baselineId`; string, required)
        - format `uuid`
      - `fieldKey` (`execution-get-entity-execution-baseline.response.200.data.baseline.fields.fieldKey`; string, required)
        - pattern `^[a-z][a-z0-9_]{0,63}$`
      - `label` (`execution-get-entity-execution-baseline.response.200.data.baseline.fields.label`; string, required)
        - minLength 1; maxLength 120
      - `value` (`execution-get-entity-execution-baseline.response.200.data.baseline.fields.value`; any of, required)
        - any of: `string`, `number`, `boolean`
      - `unit` (`execution-get-entity-execution-baseline.response.200.data.baseline.fields.unit`; string, required, nullable)
        - minLength 1; maxLength 64
      - `effectiveDate` (`execution-get-entity-execution-baseline.response.200.data.baseline.fields.effectiveDate`; string, required)
        - format `date`
      - `evidenceReference` (`execution-get-entity-execution-baseline.response.200.data.baseline.fields.evidenceReference`; string, required, nullable)
        - minLength 1; maxLength 2048
      - `evidenceGrade` (`execution-get-entity-execution-baseline.response.200.data.baseline.fields.evidenceGrade`; string, required)
        - one of `"A"`, `"B"`, `"C"`, `"D"`, `"N"`
      - `createdBy` (`execution-get-entity-execution-baseline.response.200.data.baseline.fields.createdBy`; string, required)
        - minLength 1
      - `updatedBy` (`execution-get-entity-execution-baseline.response.200.data.baseline.fields.updatedBy`; string, required)
        - minLength 1
      - `createdAt` (`execution-get-entity-execution-baseline.response.200.data.baseline.fields.createdAt`; string, required)
        - format `date-time`
      - `updatedAt` (`execution-get-entity-execution-baseline.response.200.data.baseline.fields.updatedAt`; string, required)
        - format `date-time`
    - `createdBy` (`execution-get-entity-execution-baseline.response.200.data.baseline.createdBy`; string, required)
      - minLength 1
    - `createdAt` (`execution-get-entity-execution-baseline.response.200.data.baseline.createdAt`; string, required)
      - format `date-time`
    - `updatedAt` (`execution-get-entity-execution-baseline.response.200.data.baseline.updatedAt`; string, required)
      - format `date-time`
  - `creation` (`execution-get-entity-execution-baseline.response.200.data.creation`; object, required)
    - `allowed` (`execution-get-entity-execution-baseline.response.200.data.creation.allowed`; boolean, required)
    - `unavailableReason` (`execution-get-entity-execution-baseline.response.200.data.creation.unavailableReason`; string, required, nullable)
      - one of `"baseline_exists"`, `"first_season_started"`
    - `firstSeason` (`execution-get-entity-execution-baseline.response.200.data.creation.firstSeason`; object, required, nullable)
      - `id` (`execution-get-entity-execution-baseline.response.200.data.creation.firstSeason.id`; string, required)
        - format `uuid`
      - `label` (`execution-get-entity-execution-baseline.response.200.data.creation.firstSeason.label`; string, required)
        - minLength 1
      - `status` (`execution-get-entity-execution-baseline.response.200.data.creation.firstSeason.status`; string, required)
        - one of `"planning"`, `"locked"`, `"active"`, `"resolution_open"`, `"closed"`
      - `startDate` (`execution-get-entity-execution-baseline.response.200.data.creation.firstSeason.startDate`; string, required)
        - format `date-time`
  - `fieldEditing` (`execution-get-entity-execution-baseline.response.200.data.fieldEditing`; object, required)
    - `allowed` (`execution-get-entity-execution-baseline.response.200.data.fieldEditing.allowed`; boolean, required)
    - `unavailableReason` (`execution-get-entity-execution-baseline.response.200.data.fieldEditing.unavailableReason`; string, required, nullable)
      - one of `"baseline_missing"`, `"baseline_locked"`, `"first_season_started"`
  - `locking` (`execution-get-entity-execution-baseline.response.200.data.locking`; object, required)
    - `allowed` (`execution-get-entity-execution-baseline.response.200.data.locking.allowed`; boolean, required)
    - `unavailableReason` (`execution-get-entity-execution-baseline.response.200.data.locking.unavailableReason`; string, required, nullable)
      - one of `"baseline_missing"`, `"baseline_locked"`, `"first_season_started"`, `"strategic_context_missing"`, `"fields_missing"`, `"summary_missing"`, `"summary_stale"`, `"summary_unconfirmed"`
  - `correction` (`execution-get-entity-execution-baseline.response.200.data.correction`; object, required)
    - `allowed` (`execution-get-entity-execution-baseline.response.200.data.correction.allowed`; boolean, required)
    - `unavailableReason` (`execution-get-entity-execution-baseline.response.200.data.correction.unavailableReason`; string, required, nullable)
      - one of `"baseline_missing"`, `"baseline_not_locked"`, `"correction_draft_exists"`
  - `summary` (`execution-get-entity-execution-baseline.response.200.data.summary`; object, required)
    - `generation` (`execution-get-entity-execution-baseline.response.200.data.summary.generation`; object, required)
      - `allowed` (`execution-get-entity-execution-baseline.response.200.data.summary.generation.allowed`; boolean, required)
      - `unavailableReason` (`execution-get-entity-execution-baseline.response.200.data.summary.generation.unavailableReason`; string, required, nullable)
        - one of `"baseline_missing"`, `"baseline_locked"`, `"strategic_context_missing"`, `"fields_missing"`
    - `confirmation` (`execution-get-entity-execution-baseline.response.200.data.summary.confirmation`; object, required)
      - `allowed` (`execution-get-entity-execution-baseline.response.200.data.summary.confirmation.allowed`; boolean, required)
      - `unavailableReason` (`execution-get-entity-execution-baseline.response.200.data.summary.confirmation.unavailableReason`; string, required, nullable)
        - one of `"baseline_missing"`, `"baseline_locked"`, `"summary_missing"`, `"summary_stale"`, `"summary_already_confirmed"`, `"founder_required"`
- `meta` (`execution-get-entity-execution-baseline.response.200.meta`; object, optional)
  - `timestamp` (`execution-get-entity-execution-baseline.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-get-entity-execution-baseline.response.400.error`; object, required)
  - `code` (`execution-get-entity-execution-baseline.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-get-entity-execution-baseline.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`execution-get-entity-execution-baseline.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-get-entity-execution-baseline.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-get-entity-execution-baseline.response.401.error`; object, required)
  - `code` (`execution-get-entity-execution-baseline.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-get-entity-execution-baseline.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`execution-get-entity-execution-baseline.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-get-entity-execution-baseline.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-get-entity-execution-baseline.response.403.error`; object, required)
  - `code` (`execution-get-entity-execution-baseline.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-get-entity-execution-baseline.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`execution-get-entity-execution-baseline.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-get-entity-execution-baseline.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-get-entity-execution-baseline.response.404.error`; object, required)
  - `code` (`execution-get-entity-execution-baseline.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-get-entity-execution-baseline.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`execution-get-entity-execution-baseline.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-get-entity-execution-baseline.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-get-entity-execution-baseline.response.409.error`; object, required)
  - `code` (`execution-get-entity-execution-baseline.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-get-entity-execution-baseline.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`execution-get-entity-execution-baseline.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-get-entity-execution-baseline.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-get-entity-execution-baseline.response.422.error`; object, required)
  - `code` (`execution-get-entity-execution-baseline.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-get-entity-execution-baseline.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`execution-get-entity-execution-baseline.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-get-entity-execution-baseline.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-get-entity-execution-baseline.response.429.error`; object, required)
  - `code` (`execution-get-entity-execution-baseline.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-get-entity-execution-baseline.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`execution-get-entity-execution-baseline.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-get-entity-execution-baseline.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-get-entity-execution-baseline.response.500.error`; object, required)
  - `code` (`execution-get-entity-execution-baseline.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-get-entity-execution-baseline.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`execution-get-entity-execution-baseline.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-get-entity-execution-baseline.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 502

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-get-entity-execution-baseline.response.502.error`; object, required)
  - `code` (`execution-get-entity-execution-baseline.response.502.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-get-entity-execution-baseline.response.502.error.message`; string, required) — Human-readable error message
  - `details` (`execution-get-entity-execution-baseline.response.502.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-get-entity-execution-baseline.response.502.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-get-entity-execution-baseline.response.503.error`; object, required)
  - `code` (`execution-get-entity-execution-baseline.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-get-entity-execution-baseline.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`execution-get-entity-execution-baseline.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-get-entity-execution-baseline.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/execution-get-entity-execution-baseline/index.md
